Skip to main content
GET
/
historical-funding-rates
Historical funding rates
curl --request GET \
  --url https://futures.kraken.com/derivatives/api/v3/historical-funding-rates
{
  "result": "success",
  "serverTime": "2022-06-28T09:29:04.243Z",
  "rates": [
    {
      "timestamp": "2022-06-28T00:00:00.000Z",
      "fundingRate": -8.15861558e-10,
      "relativeFundingRate": -0.000016898883333333
    },
    {
      "timestamp": "2022-06-28T04:00:00.000Z",
      "fundingRate": -2.6115278e-11,
      "relativeFundingRate": -5.40935416667e-7
    },
    {
      "timestamp": "2022-06-28T08:00:00.000Z",
      "fundingRate": -4.08356853e-10,
      "relativeFundingRate": -0.000008521190625
    }
  ]
}

Query Parameters

symbol
string
required

Market symbol

Pattern: [A-Z0-9_.]+
Example:

"PF_BTCUSD"

Response

Historical funding rates for given market.

rates
object[]
required

A list containing structures with historical funding rate information. The list is sorted ascending by timestamp.

result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"